"$schema": "https://git.drupalcode.org/project/drupal/-/raw/10.1.x/core/modules/sdc/src/metadata.schema.json"
name: Badge
group: Base
status: stable
props:
  type: object
  required:
    - label
    - style
  properties:
    label:
      type: string
      title: Link text
      examples:
        - Badge text
    url:
      type: string
      title: Link
    style:
      type: string
      title: Style
      enum:
        - primary
        - secondary
      meta:enum:
        primary: Primary
        secondary: Secondary
      examples:
        - primary
    icon:
      type: string
      title: Icon name
      description: 'The ID of an icon from the <a href="https://phosphoricons.com/" target="_blank">Phosphor Icons</a> library.'
      default: "rocket"
      examples:
        - "rocket"
    icon_first:
      type: boolean
      title: Icon first
      default: true
      examples:
        - true
